diff --git a/run-tests.sh b/run-tests.sh
index 5149a3b7550041679a24b7defd00b477343149fc..1a87f661803af51200586db33dac341407cc7e78 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -4,17 +4,17 @@ set -e
 if [ "$1" = "macos" ]; then
 
   echo "\n\033[1;32mâ–¶ Running package tests on macOS...\033[0m"
-  swift test
+  set -o pipefail && swift test 2>&1 | ./xcbeautify
 
 elif [ "$1" = "ios" ]; then
 
   echo "\n\033[1;32mâ–¶ Running package tests on iOS Simulator...\033[0m"
-  xcodebuild -scheme 'elixxir-dapps-sdk-swift-Package' -sdk iphonesimulator -destination 'platform=iOS Simulator,OS=15.5,name=iPhone 13' test
+  set -o pipefail && xcodebuild -scheme 'elixxir-dapps-sdk-swift-Package' -sdk iphonesimulator -destination 'platform=iOS Simulator,OS=15.5,name=iPhone 13' test | ./xcbeautify
 
 elif [ "$1" = "examples-ios" ]; then
 
   echo "\n\033[1;32mâ–¶ Running XXMessenger example tests on iOS Simulator...\033[0m"
-  xcodebuild -workspace 'Examples/xx-messenger/XXMessenger.xcworkspace' -scheme 'XXMessenger' -sdk iphonesimulator -destination 'platform=iOS Simulator,OS=15.5,name=iPhone 13' test
+  set -o pipefail && xcodebuild -workspace 'Examples/xx-messenger/XXMessenger.xcworkspace' -scheme 'XXMessenger' -sdk iphonesimulator -destination 'platform=iOS Simulator,OS=15.5,name=iPhone 13' test | ./xcbeautify
 
 else
 
diff --git a/xcbeautify b/xcbeautify
new file mode 100755
index 0000000000000000000000000000000000000000..76b5df583a5d8f479e2088d4927ad90288c9d4cd
Binary files /dev/null and b/xcbeautify differ